package sample;

import javax.persistence.Column;
import javax.persistence.Entity;

@Entity
public class Role extends StoredObject {

    private static final long serialVersionUID = 1L;

    @Column(name = "NAME", unique = true, nullable = false)
    private String name;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    @Override
    public String toString() {
        return String.format("Role(oid:%d, version:%d, name:'%s')", getOid(), getVersion(), getName());
    }
}
